#!/bin/sh

# 5630-A23, 5630-A22, 5655_I35 (C) Copyright IBM Corporation, 1997, 2003
# All rights reserved. Licensed Materials Property of IBM  
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


binDir=`dirname $0`
. "$binDir/setupCmdLine.sh"

if [ -f ${JAVA_HOME}/bin/java ]; then
    EXT=$JAVA_HOME/lib/ext
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    EXT=$JAVA_HOME/jre/lib/ext
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi

# setup the classpath
CP="$EXT/ibmjceprovider.jar:$EXT/ibmjcefw.jar:$EXT/US_export_policy.jar:$EXT/local_policy.jar:$EXT/ibmpkcs.jar:$WAS_HOME/lib/gskikm.jar:$EXT"

$JAVA_EXE -Djava.endorsed.dirs="$WAS_ENDORSED_DIRS" $JVM_EXTRA_CMD_ARGS -classpath $CP com.ibm.gsk.ikeyman.Ikeyman
